Name:           buoy
Version:        1.9
Release:        %mkrel 8

Summary:        A toolkit for creating user interfaces in Java programs
URL:            http://buoy.sourceforge.net/
Group:          Development/Java

Source0:        Buoy%{version}.zip
Source1:        Buoyx%{version}.zip
# Fix rpmlint fail
Patch0:         fix-indexed-jars.patch
# The original ant build doesnt make buoyx's javadoc
Patch1:         fix-javadoc.patch

License:        Public Domain

BuildArch:      noarch

BuildRequires:  ant
BuildRequires:  java-devel
Requires:       java >= 1.4

%description
Buoy is a library for creating user interfaces in Java programs. 
It is built on top of Swing, but provides a completely new set
of classes to represent graphical components.

The current version of Buoy is 1.9, released May 1, 2008.
It is stable, extensively tested, and ready for production use. 


%files
%doc AboutBuoy.html
%_javadir/*.jar

#--------------------------------------------------------------------

%package javadoc
Summary:        Javadoc for buoy
Group:          Development/Java

%description javadoc
Javadoc for buoy.


%files javadoc
%_javadocdir/*

#--------------------------------------------------------------------

%prep
# %%setup -q -n Buoy\ Folder  Doesnt work
# because of the space in the dirname 
%setup -qc -a1
cp -r Buoy\ Folder/* .
# renaming the folder
mv Buoyx\ Folder src
mv buoy src/
rm src/Buoyx.jar
%patch0 -p0
%patch1 -p0

%build
export CLASSPATH="."
%ant -buildfile buoy.xml dist docs

%install
%__install -dm 755 $RPM_BUILD_ROOT%_javadir
%__install -m 644 Buoy.jar $RPM_BUILD_ROOT%_javadir/%{name}-%{version}.jar
%__install -m 644 Buoyx.jar $RPM_BUILD_ROOT%_javadir/%{name}x-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%_javadir/%{name}.jar
ln -s %{name}x-%{version}.jar $RPM_BUILD_ROOT%_javadir/%{name}x.jar

# javadoc
%__install -dm 755 $RPM_BUILD_ROOT%_javadocdir/%{name}-%{version}
cd docs
cp -pr * $RPM_BUILD_ROOT%_javadocdir/%{name}-%{version}
cd ..
ln -s %{name}-%{version} $RPM_BUILD_ROOT%_javadocdir/%{name}



%changelog
* Fri Feb 26 2016 umeabot <umeabot> 1.9-8.mga6
+ Revision: 979608
- Mageia 6 Mass Rebuild

* Fri Oct 31 2014 pterjan <pterjan> 1.9-7.mga5
+ Revision: 794854
- Drop unused broken buildrequires

* Wed Oct 15 2014 umeabot <umeabot> 1.9-6.mga5
+ Revision: 747749
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.9-5.mga5
+ Revision: 678250
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.9-4.mga4
+ Revision: 530927
- Mageia 4 Mass Rebuild

* Tue Jul 30 2013 joequant <joequant> 1.9-3.mga4
+ Revision: 461052
- remove ant-nodeps and ant-trax from buildrequires

* Fri Jan 11 2013 umeabot <umeabot> 1.9-2.mga3
+ Revision: 347229
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 11 2011 dmorgan <dmorgan> 1.9-1.mga1
+ Revision: 97116
- imported package buoy


* Sun Feb 14 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.9-1mdv2010.1
+ Revision: 505951
- import buoy


* Fri Feb 12 2010 Jonathan Bayle <hide@mrhide.fr> 1.9-1mdv2010.0
 - new package

